Summary: XtRADIUS daemon (with PAM) 
Summary(ru): XtRADIUS  (  PAM)
Name: xtradius
Version: 1.0beta3
Release: 3
Group: Networking/Daemons
Group(ru): /
Source0: http://www.xtradius.com/%{name}-%{version}.tgz
Source1: radius.pam
Source2: radiusd.init
#Patch: mazay.patch
Packager: MaZay <mazay@donapex.net.ua>
Vendor:   MaZay <mazay@donapex.net.ua>


URL: http://www.xtradius.com
Copyright: GPL
BuildRoot: /var/tmp/%{name}-root

%description
RADIUS server with a lot of functions. Short overview: 

- PAM support
- Supports access based on huntgroups
- Multiple DEFAULT entries in users file
- All users file entries can optionally "fall through"
- Caches all config files in-memory
- Keeps a list of logged in users (radutmp file)
- "radwho" program can be installed as "fingerd"
- Logs both UNIX "wtmp" file format and RADIUS detail logfiles
- Supports Simultaneous-Use = X parameter. Yes, this means
  that you can now prevent double logins!
- External athentication and accountong scripts support

%description -l ru
 RADIUS    .   : 

-  PAM
-  ,   huntgroup'
-  DEFAULT    users
-    users   "fall through"
-      
-     ( radutmp)
-  "radwho",      "fingerd"
-  Log'   : UNIX "wtmp"   RADIUS log-
-   Simultaneous-Use = X. ,  ,
        login'!
-      

%changelog
* Tue Aug 01 2000 MaZay <mazay@donapex.net.ua>
- version 1.0.beta3 release 3
- removing empty man pages
- add examples in doc directory

* Tue Aug 01 2000 MaZay <mazay@donapex.net.ua>
- version 1.0.beta3 release 2
- adding shadow password support make option in .spec

* Mon Jul 31 2000 MaZay <mazay@donapex.net.ua>
- version 1.0.beta3 release 1

* Sat Jul 29 2000 MaZay <mazay@donapex.net.ua>
- version 1.0.beta2 release 2
- fixing make error

* Tue Jul 25 2000 MaZay <mazay@donapex.net.ua>
- version 1.0.2beta2 release 1


%prep 
%setup
cd raddb
for f in clients users naslist huntgroups ; do cp $f $f-dist ; done
cd ..

#%patch -p1

%build
cd src
make PAM=-DPAM PAMLIB="-lpam -ldl" CFLAGS="-Wall -g -DXTRADIUS -LSHADOW"
cd ..

%install
# prepare $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT/{,etc/{,raddb,logrotate.d,pam.d,rc.d/{,init.d,rc{0,1,2,3,4,5,6}.d}},usr/{,bin,sbin,man/{,man{1,5,8}}},var/{,log/{,radacct}}}

# make install
cd src
make install BINDIR=${RPM_BUILD_ROOT}/usr/bin SBINDIR=${RPM_BUILD_ROOT}/usr/sbin
install -m 755 radtest ${RPM_BUILD_ROOT}/usr/bin/
cd ..

# do /etc/raddb
cd raddb
install -m 640 * ${RPM_BUILD_ROOT}/etc/raddb
cd ..

# radwatch
install -m 755 scripts/radwatch ${RPM_BUILD_ROOT}/usr/sbin/

# other files
cd redhat
# install -m 555 rc.radiusd-redhat ${RPM_BUILD_ROOT}/etc/rc.d/init.d/radiusd
install -m 644 radiusd-logrotate ${RPM_BUILD_ROOT}/etc/logrotate.d/radiusd
install -m 644 radiusd-pam ${RPM_BUILD_ROOT}/etc/pam.d/radius
install -m 555 $RPM_SOURCE_DIR/radiusd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/radiusd
cd ..

# man pages
cd doc
for i in 1 8; do
	install -m 444 *.$i ${RPM_BUILD_ROOT}/usr/man/man$i
done
install -m 444 clients.5rad ${RPM_BUILD_ROOT}/usr/man/man5/
install -m 444 naslist.5rad ${RPM_BUILD_ROOT}/usr/man/man5/
cd ..

# rc.d files
for i in 3 4 5;  do
	ln -sf ../init.d/radiusd ${RPM_BUILD_ROOT}/etc/rc.d/rc$i.d/S12radiusd
done
for i in 0 1 2 6; do
	ln -sf ../init.d/radiusd ${RPM_BUILD_ROOT}/etc/rc.d/rc$i.d/K98radiusd
done

for i in radutmp radwtmp radius.log; do
	touch ${RPM_BUILD_ROOT}/var/log/$i
	chown root.root ${RPM_BUILD_ROOT}/var/log/$i
	mkdir -p /var/log/radacct
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc doc/ChangeLog doc/README* doc/INSTALL.OLD todo/TODO COPYRIGHT*
%doc contrib/*

/usr/bin/*
/usr/sbin/*
/usr/man/man5/*
/usr/man/man8/radiusd.8
/var/log/radutmp
/var/log/radwtmp
/var/log/radius.log
%dir /var/log/radacct/

%dir /etc/raddb/
%config /etc/raddb/*
%config /etc/pam.d/radius
%config /etc/logrotate.d/radiusd
%config /etc/rc.d/init.d/radiusd
%config(missingok) /etc/rc.d/rc0.d/K98radiusd
%config(missingok) /etc/rc.d/rc1.d/K98radiusd
%config(missingok) /etc/rc.d/rc2.d/K98radiusd
%config(missingok) /etc/rc.d/rc3.d/S12radiusd
%config(missingok) /etc/rc.d/rc4.d/S12radiusd
%config(missingok) /etc/rc.d/rc5.d/S12radiusd
%config(missingok) /etc/rc.d/rc6.d/K98radiusd
